# uproot.deserialization.compile_class

Defined in uproot.deserialization on line 41.

uproot.deserialization.compile_class(file, classes, class_code, class_name)
  Parameters:

    - file (uproot.ReadOnlyFile) – File to use to generate uproot.Model classes as needed from its streamers and `file_path` for error messages.

    - classes (dict) – MutableMapping in which to add the finished class.

    - class_code (str) – Python code string defining the new class.

    - class_name (str) – Python (encoded) name of the new class. See uproot.classname_decode and uproot.classname_encode.

  Compile a new class from Python code and insert it in the dict of classes.